For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • Overview
  • Learning Plans
    • Developer Foundations
    • Composable Developer
    • Stencil Developer
    • B2B Developer
  • Courses
        • Admin APIs
        • Storefront APIs
        • Account-level APIs
        • Provider APIs
      • Conclusion
    • Learning Changelog
Dev Portal
LogoLogo
On this page
  • Introduction
  • GraphQL Account API
  • Authentication
  • Resources
CoursesIntro to BigCommerce DevelopmentModule 1: BigCommerce APIs

Account-level APIs

Was this page helpful?
Previous

Storefront APIs

Next

Provider APIs

Built with

Plan: Developer Foundations

Lesson 5 of 12 · 15 min

Introduction

Account-level APIs operate similarly to admin APIs but deal with data on the account level rather than the store level. A single BigCommerce account can be associated with multiple stores.

The GraphQL Account API is the only existing account-level API.

GraphQL Account API

The GraphQL Account API supports:

  • Managing BigCommerce control panel users and the stores they are assigned to. This feature is useful for Enterprise merchants who need to audit existing users or integrate with third-party user management systems.
  • Unified billing management for tech partners.

Authentication

The dashboard for creating account-level API accounts can be accessed from the BigCommerce control panel. When creating an account, you’ll specify the OAuth scopes the account has access to.

Creating an account-level API account

Like with store-level API accounts, each account is associated with a client ID, secret, and access token. The account UUID will be displayed as well.

Provide the OAuth access token in the X-Auth-Token header of GraphQL Account API requests.

Example Request:

POST https://api.bigcommerce.com/accounts/<account_uuid>/graphql
X-Auth-Token: <access_token>
Accept: application/json
Content-Type: application/json

Resources

  • GraphQL Account API
  • GraphQL - User Management
  • GraphQL - Unified Billing